Subject: Sharing zsh history in cygwin.
From: Andrew Markebo <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 20 Jan 2005 13:05:00 +0100

Anyone managed to share command line history between running zsh's in
latest cygwin's?

In old times I have done it, unfortunetaly bad tracking when I lost
it. (Cywgin & zsh 4.2) (think it works with Linux-compiled zsh,
doublechecking)

Mainly my sharing is decided by:
# History 
###################################
# IncAppendHistory for sharing between shells.. NOW..
setopt HISTIGNOREDUPS HISTIGNORESPACE EXTENDED_HISTORY 
setopt INC_APPEND_HISTORY SHARE_HISTORY 
HISTSIZE=300
SAVEHIST=300
HISTFILE=~/.history  

The last line, HISTFILE, freezes the cygwin-distributed zsh
(4.2.0) just after reading the config-files. Removing just that line
creates a bunch of .history-XXX files.

On cygwin I configured (by setting "named FIFOs to work" to false) and
compiled zsh 4.2.3, but it doesn't seem to share the history.

Anyone who have been messing with the history as I do?

       /Andy

-- 
 Don't walk in front of me, I might be unable to follow you. 
 Don't walk after me, I might be unable to lead you. 
 Just walk by my side and be my friend.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/